dsc-psl-convert(1)

NAME
dsc-psl-convert - Convert Public Suffix List (PSL) to DSC TLD List

SYNOPSIS
dsc-psl-convert [ options ] [ PSL file ]

DESCRIPTION
Convert Public Suffix List (PSL) to DSC TLD List (stdout).

If the PSL is not specified then it will use the one installed on the system, for example on Debian/Ubuntu the package publicsuffix will be installed in /usr/share/publicsuffix.

If "-" is given as file then it will read from stdin.

The PSL can also be downloaded from https://publicsuffix.org/ .

The PSL will be converted to the TLD list format (see dsc.conf(5)) as follows:

    * Exceptions (!name) are ignored

    * Singel label suffixes are ignored

    * Wildcards (*.) are removed before processing

    * All labels will be encoded in IDN/punycode

OPTIONS

--all
    Include all names found in the PSL file. Default is to stop after ICANN domains (===END ICANN DOMAINS===).

--no-skip-idna-err
    Report errors when trying to convert international domain names into ASCII (punycode). Default is to ignore these errors.

-h|--help
    Show help and exit.

OUTPUT FORMAT
The output format that is used for DSC's tld_list conf option is simply one line per suffix. It also supports commenting out an entry with #.

For example:

      co.uk
      net.au
      #net.cn

EXAMPLE SETUP
This example fetches the Public Suffix List and converts it in-place to a DSC TLD list, stores it in /etc/dsc and configures DSC to use that.

      wget -O - https://publicsuffix.org/list/public_suffix_list.dat | \
        dsc-psl-convert - > /etc/dsc/tld.list
      echo "tld_list /etc/dsc/tld.list;" >> /etc/dsc/dsc.conf

SEE ALSO
dsc(1), dsc.conf(5)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/tools/dsc

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dsc/issues

For question and help please use:

    dsc@dns-oarc.net